
ChiliProject - Bug # 968: Forum threads aren't always displaying "Last Message"

Status: Closed Priority: Normal
Author: Kris Lou Category: Forums
Created: 2012-04-05 Assignee:
Updated: 2012-05-24 Due date:
Remote issue URL:
Affected version: 3.1.0
Description: On the public CP site, assuming its 3.0:

Even though the Base Forum (in this case, "Discuss":https://www.chiliproject.org/projects/chiliproject/boards) 
displays the last message, the listing of threads themselves often show blank "Last Messages" even if there 
are valid reply counts.

See screenshot.

Associated revisions
2012-05-19 11:38 am - Felix SchÃ¤fer 
Recalculate last reply of thread on message deletion #968

History
2012-04-05 06:46 pm - Holger Just
- Affected version changed from 3.0.0 to 3.1.0

We had a lot of spam recently. All the threads with no last message got it deleted.

The bug shows because we don't update the message parent's @last_reply_id@ on destroy.

2012-05-19 09:40 am - Felix Schäfer
- Target version set to 3.2.0

- Status changed from Open to Closed

Corrected in commit:87f68e5.

2012-05-24 04:22 pm - Kris Lou
Very nice.

For completeness, can you also update the thread itself as well as the board counters?

2012-05-24 05:24 pm - Felix Schäfer
Kris Lou wrote:
> For completeness, can you also update the thread itself as well as the board counters?

I'm not sure what you mean, could you be more precise?

2012-05-24 05:34 pm - Kris Lou
Sorry about being vague.  I haven't looked into this (obviously), but I'm assuming that there are also individual discussion thread/message counters as 
well as the overall board-level counters.  Would it be difficult to apply the same fix at the discussion level? 

I.E. the status or last message updated within a specific thread inside the Discussion board?
2012-05-24 09:22 pm - Felix Schäfer
Ah, I guess you mean the number of replies in a discussion, right?

Well, I had a quick look at the code, and that counter is handled by the same lib taking care of the response list (i.e. responsible for knowing which 
message is in which thread), so I _guess_ it already works as expected. Looking at threads with deleted posts here on chiliproject.org confirms they 
work as expected.

If you could test it (for example on the "demo system":http://demo.chiliproject.org) and open a new issue assigned to me as needed, it would be pretty 
great.
